Package org.opensaml.saml.saml1.core.impl

# Class AttributeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.AttributeDesignatorImpl
org.opensaml.saml.saml1.core.impl.AttributeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Attribute`, `AttributeDesignator`

public class AttributeImpl extends AttributeDesignatorImpl implements Attribute
A Concrete implementation of the `Attribute` Interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<XMLObject>`
`attributeValues`
Contains the AttributeValues.

### Fields inherited from interface org.opensaml.saml.saml1.core.Attribute

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml1.core.AttributeDesignator

`ATTRIBUTENAME_ATTRIB_NAME, ATTRIBUTENAMESPACE_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AttributeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getAttributeValues()`
Get all the subsiduary AttributeValue elements.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

### Methods inherited from class org.opensaml.saml.saml1.core.impl.AttributeDesignatorImpl

`getAttributeName, getAttributeNamespace, setAttributeName, setAttributeNamespace`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml1.core.AttributeDesignator

`getAttributeName, getAttributeNamespace, setAttributeName, setAttributeNamespace`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### attributeValues

@Nonnull private final XMLObjectChildrenList<XMLObject> attributeValues
Contains the AttributeValues.

## Constructor Details

### AttributeImpl

protected AttributeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAttributeValues

@Nonnull @Live public List<XMLObject> getAttributeValues()
Get all the subsiduary AttributeValue elements.

Specified by:
  `getAttributeValues` in interface `Attribute`
Returns:
  the subsiduary attribute values

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `AttributeDesignatorImpl`
Returns:
  ordered list of child elements